Create bulk transfer schedules

Create multiple transfer schedules in a single request. This request triggers an asynchronous process to create the schedules. Once processing is complete, the Bulk transfer schedules created event is sent with the result of the operation.

This endpoint accepts a defaults object that can be used to set common values for all schedules in the request. Individual schedules can override any default value by specifying the field in their own definition.

Transfer amounts can be set as follows.

  • If you fill out the strategy field, the platform uses the strategy logic to determine transfer amounts.
  • If you don't fill out the strategy field, you must specify the amount field for each transfer in the transfers array, or provide a default amount in transfer_defaults.

In some cases, due to errors and retries, execution of the scheduled transaction might occur on the following day instead of the originally scheduled date. To address this, the allow_execution_after_day_change flag in schedule_details enables you to pre-authorize execution of the scheduled transaction on the next day. This flag must be set to true for schedules that are set to be executed at the end of the day (after 11:30pm UTC). If the schedule is not executed on the expected day for any reason, and this field isn't set to true, the schedule is not executed and is marked as EXECUTED_WITH_ERROR_NEXT_DAY_NOT_ALLOWED.

This endpoint generates the Scheduled payment created or modified event with the status field set to CREATED.

Each execution of the schedule also generates the Scheduled payment executed event.

Refer to the Payment scheduler guide for more information.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request processing body

Request to create multiple transfer schedules in bulk

defaults
object

Default values applied to all transfer schedules in the request. Individual schedules can override these values.

schedules
array of objects
required
length between 1 and 100

List of transfer schedules to create. Each schedule can override any default value.

schedules*

Individual transfer schedule in the bulk request. Only schedule_id and transfers are required; other fields use defaults or override them.

string
required
length between 36 and 50

Schedule ID (idempotency field for this operation)

string
length ≤ 100

Optional text that describes the operation

schedule_details
object

Schedule details that override the defaults for this specific transfer schedule

string
enum

If the strategy field is not specified, you must provide the amount field for each transfer in the transfers array. The following strategy types determine the transfer amounts when a strategy is specified.

  • SWEEP: Transfers the entire balance from the child account to the parent account. The terms "parent" and "child" refer to account roles, but no relationship validation is performed.

    Child → Parent

  • OVERDRAFT_SWEEEP: Follows the same logic as SWEEP, except when a child account is negative, in which case the main account sends enough money to zero out the child account.

    Parent → Child

Allowed:
transfers
array of objects
required
length ≥ 1

List of transfers for this schedule. At least one transfer is required.

transfers*

Individual transfer within a schedule. Account IDs in the from and to fields are required; other fields can use defaults.

float

Credit or debit amount

string
length ≤ 100

Optional text that describes the operation

from
object
required

Source of a transfer. account_id is required; processing_code can use the default value.

to
object
required

Destination of a transfer. account_id is required; processing_code can use the default value.

metadata
object

This optional user-defined key-value object field can be used with external operations to provide additional context or supplementary custom information for the operation. The Pismo platform does not perform any validation or processing on this field.

Note: This field must not be used to send Personally Identifiable Information (PII), Payment Card Industry (PCI) data, or any sensitive/regulated information. Metadata fields are intended for operational, non-sensitive data only. For sensitive data, use the specific parameters designed for that purpose. For more information, refer to Get started with Pismo APIs.

Responses
202

Request was accepted and schedules will be processed asynchronously.

400

Bad request

403

Operation forbidden

500

Internal server error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here!